import { getClient } from "@/app/client";
import { EventContainer } from "@/components/events/EventContainer";
import {
  allEventsQuery,
  EventFragment,
  EventCategory,
  EventOccurrence,
} from "@/lib/event";
import { PageHeader } from "@/components/general/PageHeader";
import { Suspense } from "react";

export default async function Page() {
  const { data, error } = await getClient().query(allEventsQuery, {});
  const events = (data?.events ?? []) as EventFragment[];
  const eventCategories = (data?.eventCategories ?? []) as EventCategory[];

  return (
    <main className="site-main" id="main">
      <PageHeader heading="Dette skjer på Chateau Neuf" />
      <Suspense>
        <EventContainer events={events} eventCategories={eventCategories} />
      </Suspense>
    </main>
  );
}
